<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:paddingLeft="@dimen/dp_20"
    android:paddingRight="@dimen/dp_20">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_25"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_50">

        <ImageView
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_8"
            android:layout_gravity="center"
            android:layout_marginRight="@dimen/dp_12"
            android:background="@drawable/shape_light_sleep" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:text="浅睡"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_13" />

        <ImageView
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_8"
            android:layout_gravity="center_vertical"
            android:layout_marginRight="@dimen/dp_12"
            android:background="@drawable/shape_deep_sleep" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:text="深睡"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_13" />

        <ImageView
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_8"
            android:layout_gravity="center_vertical"
            android:layout_marginRight="@dimen/dp_12"
            android:background="@drawable/shape_sober_sleep" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:text="清醒"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_13" />

    </LinearLayout>

    <TextView
        android:id="@+id/mDesc"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_20"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_20"
        android:gravity="center|right"
        android:textColor="@color/col_919"
        android:visibility="gone" />

    <com.github.mikephil.charting.charts.LineChart
        android:id="@+id/mLineChart"
        android:layout_width="match_parent"
        android:layout_height="200dp"
        android:layout_weight="2"
        android:visibility="gone" />


    <com.xty.common.weight.SleepInfoView
        android:id="@+id/mSLeepShow"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_200"
        android:layout_marginTop="@dimen/dp_20"
        app:sleep_text="@dimen/dp_16" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10">

        <TextView
            android:id="@+id/mStart"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:textColor="@color/col_343"
            android:textSize="@dimen/dp_10" />

        <TextView
            android:id="@+id/mEnd"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:text=""
            android:textColor="@color/col_343"
            android:textSize="@dimen/dp_10" />
    </RelativeLayout>

</LinearLayout>
